#
# spec file for package apache2-mod_spdy
#
# Copyright (c) 2012 Dominique Leuenberger, Amsterdam, The Netherlands.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           apache2-mod_spdy
%define _name libmod_spdy
Version:        0.9.1.5
Release:        2.1
License:        Apache-2.0
Summary:        SPDY Module for Apache2
Url:            http://mod-spdy.googlecode.com
Group:          Productivity/Networking/Web/Servers
# No released tarballs upstream
# Tarball created from 0.9.1.5 tag, using gclient
Source:         %{name}-%{version}.tar.bz2
BuildRequires:  apache2-devel
BuildRequires:  python-base
BuildRequires:  gcc-c++
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# Apache2 contains a patch and a virtual provides, to ensure we know it should work.
Requires:       apache2(mod_ssl+npn)
%define apxs /usr/sbin/apxs2
%define apache_libexecdir %(%{apxs} -q LIBEXECDIR)

%description
mod_spdy is a SPDY module for Apache 2.2 that allows your web server to take
advantage of SPDY features like stream multiplexing and header compression.

%prep
%setup -q

%build
pushd src
make BUILDTYPE=Release

%install
pushd src
# make install can't work, as apxs -i apparently does not like redirection
mkdir -p %{buildroot}/%{apache_libexecdir}
cp -p out/Release/%{_name}.so %{buildroot}/%{apache_libexecdir}

%files
%defattr(-,root,root)
%{apache_libexecdir}/%{_name}.so

%changelog
* Sun Apr 22 2012 dimstar@opensuse.org
- Initial package, version 0.9.1.5.
